function [inside] = isincircle(locationA,r,locationB)
% ISINCIRCLE is a point B[x,y] inside the circle with radius r and centre
% A[x,y]?
%
% PARAMETERS:
%   locationA   [x,y] location of point A
%   r           radius of circle around point A
%   locationB   [x,y] location of point B
%
%   inside      [true/false]
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

AX=locationA(1);
AY=locationA(2);

BX=locationB(1);
BY=locationB(2);

distance = sqrt((AX-BX)^2 + (AY-BY)^2);

if distance <= r
    inside = 1; %true - B is inside A's circle
else
    inside = 0; %false
end