%IEEE 802.15.4 parameters - 2.4GHz@250kbps

global aMinCAPLength aBaseSuperframeDuration aMaxPHYPacketSize aMaxSIFSFrameSize macAckWaitDuration macMaxFrameRetries CAP_TS;
aMinCAPLength = 0.00704; %[sec] minimum CAP length
aBaseSuperframeDuration = 0.01536; %[sec] superframe duration for SO=0
aBaseSlotDuration = 60; %[symbols] == *4[bits]
aMaxPHYPacketSize = 1016; %[bits] max MPDU size (i.e. MPDU = MHR + MSDU + MFR)
aMaxSIFSFrameSize = 144; %[bits] maximum size of MPDU that can be followed by SIFS
macAckWaitDuration = 216; %[bits] 0.864 ms
macMaxFrameRetries = 0; %0 = no retries
CAP_TS = 1; %required number of time slots for CAP (1 <= CAP_TS <= 16)